#!/usr/bin/env python3

import paho.mqtt.client as mqtt
import mapping

# The callback for when the client receives a CONNACK response from the server.
def on_connect(client, userdata, flags, rc):
    print("Connected with result code "+str(rc))

    # Subscribing in on_connect() means that if we lose the connection and
    # reconnect then subscriptions will be renewed.
    for t in mapping.mapping:
        client.subscribe(t[0])

# The callback for when a PUBLISH message is received from the server.
def on_message(client, userdata, msg):
    print("---")
    print(msg.topic+" "+str(msg.payload))
    for t in mapping.mapping:
        print("{}".format(t[0]))
        if t[0] == msg.topic:
            print("pub: {}".format(t[1]))
            try:
                print("Resending as {} -> {}".format(t[1], t[2](msg.payload)))
                client.publish(topic=t[1], payload=t[2](msg.payload))
            except Exception as e:
                print(e)
            break

client = mqtt.Client()
client.on_connect = on_connect
client.on_message = on_message

client.connect("192.168.178.3", 1883, 60)

# Blocking call that processes network traffic, dispatches callbacks and
# handles reconnecting.
# Other loop*() functions are available that give a threaded interface and a
# manual interface.
client.loop_forever()
